/* ==========================================================================
   CSS ZA SINGLE PRODUCT:
   ========================================================================== */
/* --- SINGLE PRODUCT GRACE STILIZACIJA --- */

.grace-single-product {
	padding-top: 50px;
	padding-bottom: 50px;
}


.product_title {
	font-size: 22px;
	font-weight: 400;
	text-transform: uppercase;
	margin-bottom: 10px;
	font-family: 'Goldenbook' !important;
}


.price {
	font-size: 22px;
	font-weight: 600;
	color: #000;
	margin-bottom: 15px;
}

.product-short-motto {
	font-style: italic;
	font-size: 14px;
	color: var(--text-color);
	font-weight: 300;
	line-height: 22px;
	margin-bottom: 39px;
}

.product-long-description {
	color: var(--text-color);
	font-family: "Montserrat", sans-serif;
	font-size: 14px;
	font-style: italic;
	font-weight: 300;
	line-height: 22px;
	margin-top: 47px;
	margin-bottom: 24px;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price, .woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product span.price {
	color: #6C6C6C !important;
	/*	font-family: 'Fontspring';*/
	font-size: 18px !important;
	font-style: italic;
	font-weight: 300;
	line-height: 36px;
	letter-spacing: 1px;
	text-transform: uppercase;
}

.product-long-description h2 {
	font-size: 16px;
	font-weight: 600;
	text-transform: uppercase;
	margin-bottom: 15px;
}

.product-long-description p {
	font-size: 14px;
	line-height: 1.6;
	color: #333;
}

.variations select {
	display: none !important;
}

.variations_form .label {
	display: none;
}

.custom-variation-option {
	display: block;
	padding: 10px 0;
	border-bottom: 1px solid #eee;
	font-size: 14px;
	cursor: pointer;
	user-select: none;
}

.custom-variation-option input[type="checkbox"] {
	margin-right: 10px;
}


.info-box {
	border: 1px solid #DED3BF;
	padding: 22px 24px;
	margin-bottom: 16px;
	display: flex;
	align-items: center;
	justify-content: flex-start;
	gap: 12px;
}

.info-box p {
	margin: 0;
	color: var(--main-color);
	font-family: 'Goldenbook' !important;
	font-size: 14px;
	font-style: normal;
	font-weight: 400;
	line-height: 22px;
	letter-spacing: 2px;
	text-transform: uppercase;
}

.product-actions-section .grace-variations-form.cart {
	margin-bottom: 56px !important;
}

.query-product.product-actions-section {
	margin-top: 50px;
}

/* New accordion */
.grace-accordion .accordion-item {
	border-bottom: 1px solid #6C6C6C;
	margin-bottom: 10px;
}

.grace-accordion .accordion-title {
	cursor: pointer;
	padding: 8px 16px;
	margin: 0;
	background-color: transparent;
	position: relative;
	user-select: none;
	color: var(--text-color);
	font-family: 'Goldenbook' !important;
	font-size: 14px;
	font-style: normal;
	font-weight: 400;
	line-height: 32px;
	letter-spacing: 2px;
	text-transform: uppercase;
}

.grace-accordion .accordion-title::after {
	content: '+';
	position: absolute;
	right: 15px;
	top: 50%;
	transform: translateY(-50%);
	font-size: 17px;
	line-height: 1;
	transition: transform 0.3s;
	font-weight: 600;
}

.grace-accordion .accordion-item.active .accordion-title::after {
	content: '−';
	transform: translateY(-50%) rotate(0deg);
}

.grace-accordion .accordion-content {
	padding: 16px;
	display: none;
	border-top: 1px solid #6C6C6C;
}

.single_add_to_cart_button, .grace-query-btn {
	width: 100%;
	text-transform: uppercase;
	font-size: 14px;
	padding: 12px 20px;
	background-color: #000 !important;
	color: #fff !important;
	border: none !important;
	margin-top: 20px;
	transition: background-color 0.3s;
}

/* Image gallery */
.product-summary-column {
	padding-left: 7% !important;
}

.woocommerce div.product div.images .flex-control-thumbs li img {
	opacity: 1 !important;
}

.woocommerce div.product div.images.woocommerce-product-gallery {
	width: 100% !important;
}

.woocommerce-product-gallery {
	border: none !important;
	margin-bottom: 20px !important;
}

.woocommerce-product-gallery__trigger {
	display: none !important;
}

.woocommerce-product-gallery .flex-viewport {
	width: 100% !important;
	overflow: hidden !important;
	margin-bottom: 16px !important;
}

.woocommerce-product-gallery .flex-control-nav.flex-control-thumbs {
	list-style: none !important;
	padding: 0 !important;
	margin: 0 !important;
	display: flex !important;
	justify-content: flex-start !important;
	flex-wrap: wrap !important;
	gap: 16px !important;
	max-height: 209px !important;
	overflow: hidden !important;
}

.woocommerce-product-gallery .flex-control-nav.flex-control-thumbs li {
	flex: 0 0 auto;
	width: calc(33.3333% - 10.67px) !important;
	max-width: none !important;
	cursor: pointer !important;
	position: relative;
	overflow: hidden;
	aspect-ratio: 182 / 204;

}

/* Stilizacija slike thumbnaila */
.woocommerce-product-gallery .flex-control-nav.flex-control-thumbs img {
	display: block !important;
	transition: all 0.2s ease-in-out;
	position: absolute;
	top: 0;
	left: 0;
	width: 100% !important;
	height: 100% !important;
	object-fit: cover;
}

.woocommerce-product-gallery .flex-viewport {
	overflow: hidden !important;
}

.woocommerce-product-gallery .slides {
	list-style: none;
	padding: 0;
	margin: 0;
}

.woocommerce-product-gallery .slides li {
	margin: 0 !important;
	padding: 0 !important;
}

.woocommerce-product-gallery .flex-viewport img {
	width: 100%;
	height: auto;
	display: block;
	max-width: 100%;
}


.variation-radio-selector:checked + * .info-icon {
	color: #fff;
}

.custom-variations-options {
	display: flex;
	flex-direction: column;
	gap: 0;
	margin-bottom: 40px;

}

.custom-variation-label {
	display: flex;
	align-items: center;
	padding: 15px;
	border-bottom: 1px solid #BDBDBD;
	cursor: pointer;
	font-weight: 400;
	transition: all 0.2s;
	font-size: 14px;
	text-transform: uppercase;
	font-family: 'Goldenbook' !important;
	position: relative;
}

.custom-variation-label:last-child {
	border-bottom: 0 !important;
}

.custom-variation-label p {
	margin: 0;
	font-size: 14px !important;
	text-transform: uppercase;
	font-family: 'Goldenbook' !important;
	font-weight: 400;
	line-height: 32px;
	letter-spacing: 2px;
	color: #151515 !important;
}

.custom-variation-label p span {
	color: #6C6C6C !important;
}

.custom-variation-label input[type="radio"] {
	position: absolute;
	opacity: 0;
	cursor: pointer;
	height: 0;
	width: 0;
}

.custom-variation-label::before {
	content: "";
	height: 16px;
	width: 16px;
	border-radius: 0;
	border: 1px solid #6C6C6C;
	background-color: #fff;
	margin-right: 15px;
	transition: background-color 0.2s, border-color 0.2s;
	display: inline-block;
	flex-shrink: 0;
}

.custom-variation-label::after {
	content: "";
	position: absolute;
	left: 21px;
	top: 27px;
	width: 4px;
	height: 9px;
	border: solid #fff;
	border-width: 0 2px 2px 0;
	transform: rotate(45deg);
	opacity: 0;
	transition: opacity 0.2s;
}

.custom-variation-label input[type="radio"]:checked::before {
	background-color: #333 !important;
	border-color: #333 !important;
	opacity: 1 !important;
}

.custom-variation-label input[type="radio"]:checked + .custom-variation-label::before,
.custom-variation-label input[type="radio"]:checked ~ *::before,
.custom-variation-label:has(input[type="radio"]:checked)::before {
	background-color: #333;
	border-color: #333;
}

.custom-variation-label input[type="radio"]:checked + .custom-variation-label::after,
.custom-variation-label input[type="radio"]:checked ~ *::after,
.custom-variation-label:has(input[type="radio"]:checked)::after {
	opacity: 1;
}

.custom-variation-label input[type="radio"]:checked::after {
	opacity: 1 !important;
}


.quantity-add-to-cart-wrapper {
	display: flex;
	align-items: stretch;
	gap: 10px;
	width: 100%;
}

.grace-quantity-input-box {
	flex: 0 0 100px;
}

.quantity-add-to-cart-wrapper .single_add_to_cart_button, .product-actions-section .grace-query-btn {
	flex-grow: 1 !important;
	width: auto !important;
	margin: 0 !important;
	padding: 16px 20px !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	line-height: normal !important;
	background-color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
	border-radius: 0 !important;
	letter-spacing: 2px !important;
}

.product-actions-section .grace-query-btn {
	max-width: 100% !important;
	width: 100% !important;
	padding: 16px 20px !important;
}

.quantity-add-to-cart-wrapper .single_add_to_cart_button:hover {
	background-color: transparent !important;
	color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
}

.grace-quantity-input-box .quantity {
	height: 100%;
	margin: 0;
	width: 100%;
	display: flex;
}

.grace-quantity-input-box .quantity button {
	border: 1px solid #6C6C6C;
	background: #fff;
	cursor: pointer;
	padding: 0;
	width: 36px;
	height: 100%;
	flex-shrink: 0;
	line-height: 1;
}

.grace-quantity-input-box .quantity button.plus {
	border-left: 0 !important
}

.grace-quantity-input-box .quantity button.minus {
	border-right: 0 !important
}

.grace-quantity-input-box .quantity .input-text {
	text-align: center;
	border: 1px solid #6C6C6C;
	border-left: none;
	border-right: none;
	height: 100%;
	flex-grow: 1;
	padding: 0;
	line-height: normal;
	font-size: 16px;
	width: 44px;
	color: var(--main-color) !important;
	font-family: 'Goldenbook' !important;
}

.grace-quantity-input-box .quantity .input-text::-webkit-outer-spin-button,
.grace-quantity-input-box .quantity .input-text::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

.grace-quantity-input-box .quantity .input-text[type=number] {
	-moz-appearance: textfield;
}

.related.products .price {
	display: none !important;
}

.related.products .add_to_cart_button {
	display: none !important;
}

.related.products .woocommerce-loop-product__title {
	color: var(--main-color) !important;
	text-align: center;
	font-family: 'Goldenbook' !important;
	font-size: 14px !important;
	font-style: normal;
	font-weight: 400;
	line-height: 32px; /* 228.571% */
	letter-spacing: 2px;
	text-transform: uppercase;
	padding: 15px !important;
	background-color: #fff;
	position: absolute;
	bottom: 36px;
	left: 0;
	right: 0;
	margin: auto !important;
	width: 70%;
}

.related.products .woocommerce-loop-product__link {
	position: relative;
}

.related.products h2 {
	color: var(--main-color) !important;
	font-family: 'Goldenbook' !important;
	font-size: 22px !important;
	font-style: normal;
	font-weight: 400;
	line-height: normal;
	letter-spacing: 3px;
	text-transform: uppercase;
	margin-top: 33px;
	margin-bottom: 55px;
}

.woocommerce .products ul, .woocommerce ul.products {
	margin-top: 88px !important;
}

/* =======================================
   1. OPŠTE STILIZOVANJE STRUKTURE
   ======================================= */
.grace-product-collection-wrapper {
	padding-top: 50px;
	padding-bottom: 50px;
}

/* =======================================
   2. STILIZOVANJE SIDEBAR-a (LEVA KOLONA)
   ======================================= */
.grace-collection-sidebar {
	padding-right: 30px;
}

.collection-prefix {
	letter-spacing: 1px;
	color: var(--main-color);
	font-size: 20px;
	font-weight: 700;
	margin-bottom: 15px;
	font-family: 'Goldenbook' !important;
	border-bottom: 1px solid var(--border-color);
	padding-bottom: 15px;
	margin-right: 25%;

}

.collection-list {
	margin: 64px 0 0 0;
	padding: 0;
}

.collection-list-item {
	margin-bottom: 5px;
}

.collection-link {
	display: block;
	padding: 4px 0;
	font-size: 16px;
	text-transform: uppercase;
	color: var(--main-color);
	text-decoration: none !important;
	transition: color 0.2s ease, font-weight 0.2s ease;
}

.collection-link:hover {
	color: var(--main-color);

}

.collection-list-item.active .collection-link, .collection-list-item.active-parent > .collection-link {
	color: var(--main-color);
	font-weight: 700;
	text-decoration: none;
	border-left: 3px solid var(--main-color);
	padding-left: 10px;
	margin-left: -13px;
}

.collection-list-item.active.child-item .collection-link {
	color: #DED3BF !important;
	font-weight: 500 !important;
	border: none !important;
}

/* =======================================
   3. STILIZOVANJE SADRŽAJA (DESNA KOLONA)
   ======================================= */
.collection-title {
	font-size: 36px;
	font-weight: 700;
	margin-bottom: 15px;
	font-family: 'Goldenbook' !important;
}

.collection-description.lead {
	margin-bottom: 24px;
}

.collection-description.lead p {
	color: var(--text-color) !important;
	font-family: "Montserrat", sans-serif;
	font-size: 16px !important;
	font-style: italic;
	font-weight: 300;
	line-height: 22px;
	margin-top: 47px;
}

/* =======================================
   4. STILIZOVANJE PROIZVODA (3 KOLONE)
   ======================================= */

/* Osnovni stil petlje proizvoda */
.grace-product-collection-wrapper .collection-products ul.products {
	display: flex;
	flex-wrap: wrap;
	list-style: none;
	margin: 0 -10px;
	padding: 0;
}

.grace-product-collection-wrapper .collection-products ul.products.columns-3 > li.product {
	width: calc(33.333% - 20px);
	margin: 0 10px 30px 10px;
	float: none;
	clear: none;
}

.grace-product-collection-wrapper .collection-products ul.products.columns-4 > li.product {
	width: calc(25% - 20px);
	margin: 0 10px 30px 10px;
	float: none;
	clear: none;
}

.grace-product-collection-wrapper .collection-products .product {
	border: none;
	padding: 0;
	text-align: center;
}

/* Mini cart */
.wc-block-mini-cart__button {
	padding: 10px 0 0 0 !important;
	gap: 0 !important;
}

.widget.widget_block.widget_shopping_cart {
	margin: 0 !important;
}

.site-header.transparent-header span:where(.wc-block-mini-cart__badge) {
	color: var(--main-color) !important;
	background: #fff;
}

.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image img, table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image img {
	max-height: 126px;
	object-fit: cover;
}

.wc-block-components-quantity-selector {
	height: 42px;
}

h2.wc-block-mini-cart__title {
	font-size: 18px !important;
	font-family: 'Goldenbook' !important;
	mask-image: none !important;
	z-index: 1;
	padding: 0 16px 16px !important;
	border-bottom: 1px solid var(--border-color) !important;
	margin: 16px 0 0 !important;
	border-left: 1px solid #BDBDBD !important;
	font-weight: 500 !important;
	text-transform: uppercase;
}

.wc-block-mini-cart__footer:after {
	border-color: var(--border-color) !important;
}

.wc-block-cart-item__prices {
	display: none !important;
}

.wc-block-components-drawer {
	width: 440px !important;
}

.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name, table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name {
	font-size: 16px !important;
	font-family: 'Goldenbook' !important;
	color: var(--main-color) !important;
	text-decoration: none !important;
	margin-bottom: 16px !important;
	font-weight: 500 !important;
	letter-spacing: 2px;
	text-transform: uppercase;
	line-height: 27px !important;
}

.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__prices .price, table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__prices .price {
	font-size: 15px !important;
	color: var(--text-color) !important;
	text-transform: uppercase;
}

.woocommerce-checkout-review-order-table .product-quantity {
	font-family: "Montserrat", sans-serif !important;
}

.wc-block-components-product-metadata {
	display: none !important;
}

.woocommerce-terms-and-conditions-checkbox-text {
	font-style: normal !important;
}

.wc-block-cart-item__total .price {
	text-transform: uppercase;
	font-size: 14px !important;
	font-weight: 500 !important;
	font-family: "Montserrat", sans-serif !important;
	color: var(--main-color) !important;
}

.is-medium table.wc-block-cart-items .wc-block-cart-items__row, .is-mobile table.wc-block-cart-items .wc-block-cart-items__row, .is-small table.wc-block-cart-items .wc-block-cart-items__row {
	grid-template-columns: 122px 154px !important;
	padding: 11px 0 !important;
}

.wp-theme-grace .editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link, .wp-theme-grace table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link {
	font-family: "Montserrat", sans-serif !important;
	font-size: 14px !important;
	font-style: italic !important;
	font-weight: 300 !important;
	line-height: 22px !important;
}

.wc-block-components-totals-item__description {
	display: none !important;
}

.wp-block-woocommerce-mini-cart-title-items-counter-block {
	display: none !important;
}

.wc-block-components-totals-item__label {
	font-size: 16px !important;
	font-family: 'Goldenbook' !important;
	text-transform: uppercase !important;
	font-weight: 500 !important;
	letter-spacing: 3px;
}

.wc-block-mini-cart__footer .wc-block-components-totals-item.wc-block-mini-cart__footer-subtotal {
	font-size: 18px !important;
	font-weight: 500 !important;
	font-family: "Montserrat", sans-serif !important;
	color: var(--main-color) !important;
	text-decoration: none !important;

}

.wc-block-mini-cart__footer .wc-block-mini-cart__footer-actions .wp-block-woocommerce-mini-cart-cart-button-block {
	background-color: var(--main-color) !important;
	border-color: var(--main-color) !important;
	color: #fff !important;
	text-decoration: none !important;
	padding: 8px 12px !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	line-height: normal;
	border: 1px solid var(--main-color) !important;
	transition: all 0.3s ease-in-out;
	text-transform: uppercase;
	letter-spacing: 2px;
	box-shadow: none !important;
}

.wc-block-mini-cart__footer .wc-block-mini-cart__footer-actions .wp-block-woocommerce-mini-cart-cart-button-block:hover {
	background-color: transparent !important;
	border-color: var(--main-color) !important;
	color: var(--main-color) !important;
}

.wc-block-mini-cart__footer .wc-block-mini-cart__footer-actions .wp-block-woocommerce-mini-cart-checkout-button-block {
	background-color: transparent !important;
	border-color: var(--main-color) !important;
	color: var(--main-color) !important;
	text-decoration: none !important;
	padding: 8px 12px !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	line-height: normal;
	border: 1px solid var(--main-color) !important;
	transition: all 0.3s ease-in-out;
	text-transform: uppercase;
	letter-spacing: 2px;
	box-shadow: none !important;
}

.wc-block-components-quantity-selector > .wc-block-components-quantity-selector__button--minus, .wc-block-components-quantity-selector > .wc-block-components-quantity-selector__button--plus {
	border-radius: 0 !important;
}

.wc-block-components-quantity-selector, .wc-block-components-quantity-selector:after {
	border-radius: 0 !important;
}

.woocommerce-product-gallery .flex-viewport {
	height: auto !important;
	transition: none !important;
}

.woocommerce-product-gallery .woocommerce-product-gallery__wrapper li.woocommerce-product-gallery__image,
.woocommerce-product-gallery .woocommerce-product-gallery__wrapper li.woocommerce-product-gallery__slide {
	height: auto !important;
	max-height: none !important;
	aspect-ratio: 580 / 700 !important;

	position: relative;
	overflow: hidden;
}

.woocommerce-product-gallery .woocommerce-product-gallery__wrapper li img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.single-product .added_to_cart.wc-forward {
	display: none;
}

.woocommerce-products-header__title.page-title {
	font-size: 30px !important;
	font-weight: 500 !important;
	margin-bottom: 28px !important;
	text-transform: uppercase !important;
	margin-top: 30px !important;
}

.woocommerce-ordering, .woocommerce-result-count {
	display: none !important;
}

.parent-category {
	margin-top: 0;
}

.parent-label {

	cursor: default;
}

.child-category-list {
	margin-left: 1rem;

	padding-left: 0.75rem;
}

.child-collection-list {
	padding: 4px 0 0;
}

.child-collection-list .collection-link {
	text-transform: none !important;
	/*font-style: italic !important;*/
	font-weight: 300 !important;
}

/* === WooCommerce Product Grid Fix === */
.products.columns-2 {
	display: grid !important;
	grid-template-columns: repeat(2, 1fr);
	gap: 40px; /* ili manje ako želiš uži razmak */
}

.products.columns-2 li.product {
	margin: 0 !important;
	width: 100% !important;
	float: none !important;
}

/* Za mobilne - 1 kolona */
@media (max-width: 768px) {
	.products.columns-2 {
		grid-template-columns: 1fr;
	}
}

.woocommerce ul.products::before {
	display: none !important;
}

/* Cart Page */

.woocommerce table.shop_table {
	border: 0 !important;
}

tbody, td, tfoot, th, thead, tr {
	border-color: #BDBDBD !important;
}

.woocommerce-cart-form {
	margin-top: 17%;

}

.cart-collaterals {
	margin-bottom: 17%;
}

.cart_totals h2 {
	font-size: 18px;
	font-weight: 400;
}

.woocommerce table.shop_table td {
	padding: 22px 12px !important;
}

.wc-proceed-to-checkout .checkout-button {
	flex-grow: 1 !important;
	width: auto !important;
	margin: 0 !important;
	padding: 16px 20px !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	line-height: normal !important;
	background-color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
	border-radius: 0 !important;
	letter-spacing: 2px !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
}

.woocommerce table.shop_table td a {
	color: var(--main-color);
	text-decoration: none !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
	letter-spacing: 2px !important;
}

.woocommerce table.shop_table a.remove {
	color: var(--border-color) !important;
	font-size: 20px !important;
	font-weight: 600 !important;
}

.woocommerce table.cart td.actions .input-text {
	height: 40px !important;
	width: 200px !important;
	border-color: #BDBDBD !important;
}

.woocommerce table.shop_table td {
	border-color: #BDBDBD !important;
}

.woocommerce table.shop_table a.remove:hover {
	background: transparent !important;
}

#add_payment_method table.cart img, .woocommerce-cart table.cart img, .woocommerce-checkout table.cart img {
	width: 65px !important;
}

.woocommerce table.shop_table th {
	text-transform: uppercase;
	font-size: 14px !important;
	font-weight: 500 !important;
	font-family: "Montserrat", sans-serif !important;
	color: var(--main-color) !important;
}

.actions .button {
	flex-grow: 1 !important;
	width: auto !important;
	margin: 0 !important;
	padding: 11px 20px !important;
	font-size: 12px !important;
	font-family: 'Goldenbook' !important;
	line-height: normal !important;
	background-color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
	border-radius: 0 !important;
	letter-spacing: 2px !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
	color: #fff !important;
}

.woocommerce-cart-form .grace-quantity-input-box {
	height: 40px;
	width: 100px;
}

.woocommerce table.shop_table td.actions {
	padding: 30px 0 !important;
}

/* Checkout page */

.woocommerce-error, .woocommerce-info, .woocommerce-message {
	border-color: var(--border-color) !important;
	border-left: 1px solid;
	border-right: 1px solid;
	border-bottom: 1px solid;
	background-color: #fff !important;
	color: var(--text-color) !important;
	padding: 20px 30px !important;
}

.woocommerce table.shop_table td.woocommerce-orders-table__cell-order-actions a {
	font-size: 10px !important;
	padding: 5px 10px !important;
	line-height: 16px !important;
	margin: 0 !important;
	border-radius: 0 !important;
}

.woocommerce table.shop_table td.woocommerce-orders-table__cell-order-actions a.button.view {
	background-color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
	text-transform: uppercase !important;
	border-radius: 0 !important;
	transition: all 0.3s ease-in-out !important;
	color: #FFF !important;
	text-align: center;
	font-family: 'Goldenbook' !important;
}

.woocommerce table.shop_table td.woocommerce-orders-table__cell-order-actions a.button.view:hover {
	background-color: transparent !important;
	color: var(--main-color) !important;
	border-color: var(--main-color) !important;
}

.woocommerce table.shop_table td.woocommerce-orders-table__cell-order-actions {
	display: flex;
	gap: 4px;
}

.woocommerce-error::before, .woocommerce-info::before, .woocommerce-message::before {
	display: none !important;
}

.woocommerce-error a, .woocommerce-info a, .woocommerce-message a {
	color: var(--accent-color) !important;
}

.woocommerce form .form-row .input-text, .woocommerce form .form-row select, #searchform input {

	padding: 12px 15px !important;
	margin-bottom: 10px !important;
	margin-top: 8px !important;
	border: 1px solid #BDBDBD !important;
	box-sizing: border-box;
	font-size: 16px;
	border-radius: 0 !important;
	transition: border-color 0.2s ease;
}

.select2-container .select2-dropdown, .select2-container .select2-selection {
	border-color: #BDBDBD !important;
	border-radius: 0 !important;
	padding: 5px;
}

#order_review_heading {
	margin: 30px 0 !important;
}

#order_review_heading, .woocommerce-billing-fields h3, .woocommerce-additional-fields h3, legend, .woocommerce-Address-title h2 {
	font-family: 'Goldenbook';
	font-size: 22px !important;
	line-height: normal !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
	letter-spacing: 3px !important;
}

.woocommerce form .form-row label {

	margin-bottom: 5px;
	color: var(--main-color) !important;
	font-size: 14px !important;
	font-style: italic !important;
	font-weight: 300 !important;
	line-height: 22px !important;
}

.woocommerce table.shop_table td.product-name {
	color: var(--main-color);
	text-decoration: none !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
	letter-spacing: 2px !important;
}

#order_review .cart-subtotal {
	display: none !important;
}

.order-total strong {
	font-weight: 700;
}

#add_payment_method #payment, .woocommerce-cart #payment, .woocommerce-checkout #payment {
	background: transparent !important;
}

#place_order, #searchsubmit, .woocommerce-Button.button, .woocommerce-form-login__submit.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button {
	flex-grow: 1 !important;
	margin: 0 !important;
	padding: 16px 20px !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	line-height: normal !important;
	background-color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
	border-radius: 0 !important;
	letter-spacing: 2px !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
	max-width: 218px;
	width: 100% !important;
	float: left !important;
	margin-top: 0 !important;
	color: #fff !important;
	text-align: center !important;
}

.button.pay, .button.cancel {
	flex-grow: 1 !important;
	margin: 0 !important;
	padding: 4px 10px !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	line-height: normal !important;
	background-color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
	border-radius: 0 !important;
	letter-spacing: 2px !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
	max-width: 218px;
	margin-top: 0 !important;
	color: #fff !important;
	text-align: center !important;
}

.button.cancel {
	margin-left: 15px !important;
}

.search-page #searchsubmit {
	padding: 16px 20px !important;
}

#place_order {
	margin-top: 20px !important;
}

.search-page .no-results {
	padding: 10% 0;
}

.search-page #searchform > div {
	display: flex;
	flex-direction: row;
	align-items: center;
}

.woocommerce-privacy-policy-text a {
	color: var(--main-color) !important;

}

.checkout.woocommerce-checkout {
	margin: 100px 0 100px;
}

.woocommerce-form-coupon-toggle {
	display: none;
}

/* My account */

.woocommerce-MyAccount-navigation ul {
	list-style: none !important;
}

.woocommerce-MyAccount-navigation ul li {
	margin: 10px 0;
}

.woocommerce-MyAccount-navigation ul li a {
	margin: 0 !important;
	padding: 16px 20px 25px 0 !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	line-height: normal !important;
	letter-spacing: 2px !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
	text-decoration: none !important;
	color: var(--text-color) !important;
	border-bottom: 1px solid #BDBDBD;
	width: 100%;
	display: flex;

}

.woocommerce-account .woocommerce-MyAccount-navigation {
	padding-right: 10%;
}

.custom-my-account-wrapper {
	padding: 8% 0 !important;
}

.woocommerce-account .woocommerce-MyAccount-content {
	margin-top: 20px;
}

.woocommerce-account .woocommerce-MyAccount-content a, .woocommerce-LostPassword.lost_password a {
	color: var(--main-color) !important;
	text-decoration: none;
}

.woocommerce-error, .woocommerce-info, .woocommerce-message {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.woocommerce-info a.button {
	max-width: 265px !important;
	flex-grow: 1 !important;
	margin: 0 !important;
	padding: 16px 20px !important;
	font-size: 14px !important;
	margin-top: 0 !important;
	font-family: 'Goldenbook' !important;
	margin-left: auto !important;
	line-height: normal !important;
	background-color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
	border-radius: 0 !important;
	letter-spacing: 2px !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
	width: 100% !important;
	color: #fff !important;
	text-align: center;
}

.woocommerce-account .addresses .title .edit {
	float: left;
}

.woocommerce form.checkout_coupon, .woocommerce form.login, .woocommerce form.register {
	min-height: 376px;
	height: 100%;
	border-radius: 0;
	border-color: #BDBDBD !important;
}

.woocommerce-form-login__rememberme {
	margin: 15px 0 0 15px;
}

.wc_payment_method.payment_method.npintesa label[for="payment_method_npintesa"] {
	align-items: center;
	display: flex;
	justify-content: flex-start;
	gap: 16px;
}

.woocommerce-checkout #payment ul.payment_methods li img {
	max-width: 150px;
}

.woocommerce-cart .cart-collaterals .cart_totals table th {
	vertical-align: middle;
}

.woocommerce-order-received .woocommerce {
	padding: 100px 0;
}

@media screen and (max-width: 680px) {

	.woocommerce-order-received .woocommerce {
		padding: 40px 0;
	}
}

.wc-block-mini-cart__shopping-button.contained {
	background-color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
	text-transform: uppercase !important;
	border-radius: 0 !important;
	transition: all 0.3s ease-in-out !important;
	color: #FFF !important;
	text-align: center;
	font-family: 'Goldenbook' !important;
	font-size: 14px !important;
	font-style: normal !important;
	font-weight: 400 !important;
	line-height: 32px !important;
	letter-spacing: 2px !important;
	padding: 7px 27px !important;
	margin-top: 20px;
	text-decoration: none !important;

}

.wc-block-mini-cart__shopping-button.contained:hover {
	background-color: transparent !important;
	color: var(--main-color) !important;
	border-color: var(--main-color) !important;
}

.wc-block-mini-cart__empty-cart-wrapper p {
	font-size: 16px;
	font-style: italic;
	font-weight: 300;
	line-height: 22px;
	color: var(--text-color);
	margin-bottom: 22px;
}

.woocommerce-pagination.woocommerce-Pagination .button, .woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions a {
	color: #fff !important;
}

.wc-item-meta li {
	list-style: none !important;
}

.np-transaction-info-fetch table, .np-transaction-info-fetch address {
	text-align: left !important;
	margin-bottom: 0 !important;
}

.np-transaction-info-fetch .wc-item-meta, .np-transaction-info-fetch .np-transaction-info p {
	padding-left: 0 !important;
	margin-bottom: 5px;
}


.np-transaction-info-fetch p {
	margin-bottom: 5px !important;
}

.np-transaction-info-fetch .np-transaction-info {
	text-align: left !important;
	padding: 0 !important;
}

.np-transaction-info-fetch .np-transaction-info h3, .np-transaction-info-fetch .np-transaction-info h4 {
	font-size: 18px !important;
}


body.no-scroll {
	overflow: hidden !important;
	height: 100vh !important;
	touch-action: none !important;
}

.np-pay-buttons-line a {
	flex-grow: 1 !important;
	margin: 0 !important;
	padding: 4px 10px !important;
	font-size: 14px !important;
	font-family: 'Goldenbook' !important;
	line-height: normal !important;
	background-color: var(--main-color) !important;
	border: 1px solid var(--main-color) !important;
	border-radius: 0 !important;
	letter-spacing: 2px !important;
	font-weight: 400 !important;
	text-transform: uppercase !important;
	max-width: 218px;
	margin-top: 0 !important;
	color: #fff !important;
	text-align: center !important;
}

.lost_password a {
	margin-top: 15px;
	color: var(--main-color) !important;
	font-size: 14px !important;
	font-style: italic !important;
	font-weight: 300 !important;
	line-height: 22px !important;
}

.woocommerce .woocommerce-customer-details address {
	padding: 6px 0;
	box-sizing: border-box;
	border: none;
}

.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received {
	font-size: 20px !important;
	margin: 0 0 57px;
	text-align: center;
}